{
  "name": "icore-icp",
  "version": "1.0.0-cg.21",
  "description": "A Vue.js project",
  "author": "hz",
  "private": false,
  "scripts": {
    "dev": "webpack-dev-server --inline --progress --profile --colors --config build/webpack.dev.conf.js --host 0.0.0.0",
    "start": "npm run dev",
    "unit": "jest --config test/unit/jest.conf.js --coverage",
    "e2e": "node test/e2e/runner.js",
    "test": "npm run unit && npm run e2e",
    "lint": "eslint --ext .js,.vue src test/unit test/e2e/specs",
    "build": "node build/build.js",
    "testc": "cross-env NODE_ENV=test nyc mocha-webpack --webpack-config build/webpack.test.conf.js --require test/setup.js test/**/*.spec.js"
  },
  "dependencies": {
    "@amap/amap-jsapi-loader": "^1.0.1",
    "@antv/g6": "1.2.8",
    "@vue/reactivity": "^3.2.31",
    "amap-js": "^2.4.0",
    "apollo-cache-inmemory": "^1.5.1",
    "apollo-client": "^2.5.1",
    "apollo-link": "^1.2.11",
    "apollo-link-error": "^1.1.11",
    "apollo-link-http": "^1.5.14",
    "axios": "^0.26.1",
    "babel-polyfill": "^6.26.0",
    "crypto": "^1.0.1",
    "echarts": "^4.1.0",
    "el-cascader-multi": "^1.1.8",
    "element-ui": "2.13.2",
    "file-saver": "^1.3.8",
    "graphql": "^14.1.1",
    "graphql-tag": "^2.10.1",
    "icore-sdk": "1.0.1-alpha.65",
    "json-schema-editor-vue": "1.2.5",
    "json2xml": "^0.1.3",
    "jspdf": "^2.5.1",
    "jssha": "^3.2.0",
    "lay-excel": "^1.7.6",
    "object-assign": "^4.1.1",
    "qs": "^6.9.3",
    "sass-loader": "^6.0.7",
    "sass-node": "^4.11.2",
    "sass-resources-loader": "^2.2.4",
    "screenfull": "^5.1.0",
    "script-loader": "^0.7.2",
    "socket.io": "^2.2.0",
    "socket.io-stream": "^0.9.1",
    "sockjs-client": "^1.3.0",
    "uuid": "^3.3.2",
    "view-design": "^4.7.0",
    "vue": "^2.5.2",
    "vue-amap": "^0.5.10",
    "vue-apollo": "^3.0.0-beta.28",
    "vue-baidu-map": "^0.21.19",
    "vue-clipboard2": "^0.2.1",
    "vue-element-bigdata-table": "^1.3.1",
    "vue-print-nb": "^1.7.5",
    "vue-property-decorator": "^8.2.1",
    "vue-quill-editor": "^3.0.5",
    "vue-router": "^3.0.1",
    "vue-social-share": "0.0.3",
    "vue-splitpane": "^1.0.2",
    "vuescroll": "^4.17.3",
    "vuex": "^3.0.1",
    "vxe-table": "^3.5.2",
    "x2js": "^3.3.0",
    "xe-utils": "^3.5.4",
    "xlsx": "^0.18.4",
    "xterm": "3.12.0"
  },
  "devDependencies": {
    "@vue/test-utils": "^1.0.0-beta.24",
    "autoprefixer": "^7.1.2",
    "babel-core": "^6.22.1",
    "babel-eslint": "8.0.1",
    "babel-helper-vue-jsx-merge-props": "^2.0.3",
    "babel-jest": "^21.0.2",
    "babel-loader": "^7.1.1",
    "babel-plugin-dynamic-import-node": "^1.2.0",
    "babel-plugin-syntax-jsx": "^6.18.0",
    "babel-plugin-transform-runtime": "^6.22.0",
    "babel-plugin-transform-vue-jsx": "^3.5.0",
    "babel-preset-env": "^1.3.2",
    "babel-preset-es2015": "^6.24.1",
    "babel-preset-stage-2": "^6.22.0",
    "babel-register": "^6.22.0",
    "chalk": "^2.0.1",
    "compression-webpack-plugin": "^6.0.2",
    "copy-webpack-plugin": "^4.0.1",
    "cross-env": "^5.2.0",
    "cross-spawn": "^5.0.1",
    "css-loader": "^0.28.0",
    "eslint": "^4.15.0",
    "eslint-config-standard": "^10.2.1",
    "eslint-friendly-formatter": "^3.0.0",
    "eslint-loader": "^1.7.1",
    "eslint-plugin-import": "^2.7.0",
    "eslint-plugin-node": "^5.2.0",
    "eslint-plugin-promise": "^3.4.0",
    "eslint-plugin-standard": "^3.0.1",
    "eslint-plugin-vue": "^4.0.0",
    "expect": "^23.5.0",
    "extract-text-webpack-plugin": "^3.0.0",
    "file-loader": "^1.1.4",
    "friendly-errors-webpack-plugin": "^1.6.1",
    "html-webpack-plugin": "^2.30.1",
    "jest": "^22.0.4",
    "jest-serializer-vue": "^0.3.0",
    "jsdom": "^12.0.0",
    "jsdom-global": "^3.0.2",
    "jsplumb": "^2.8.8",
    "less": "~3.8.1",
    "less-loader": "~4.1.0",
    "mocha": "^5.2.0",
    "mocha-webpack": "^1.1.0",
    "moment": "^2.29.1",
    "nightwatch": "^0.9.12",
    "node-notifier": "^5.1.2",
    "node-sass": "^4.7.2",
    "node-uuid": "^1.4.8",
    "nyc": "^13.0.1",
    "optimize-css-assets-webpack-plugin": "^3.2.0",
    "ora": "^1.2.0",
    "portfinder": "^1.0.13",
    "postcss-import": "^11.0.0",
    "postcss-loader": "^2.0.8",
    "postcss-url": "^7.2.1",
    "qrcode": "^1.3.2",
    "rimraf": "^2.6.0",
    "sass-loader": "^6.0.6",
    "selenium-server": "^3.0.1",
    "semver": "^5.3.0",
    "shelljs": "^0.8.5",
    "uglifyjs-webpack-plugin": "^1.1.1",
    "url-loader": "^0.5.8",
    "vue-jest": "^1.0.2",
    "vue-json-editor": "^1.4.0",
    "vue-loader": "^13.3.0",
    "vue-style-loader": "^3.0.1",
    "vue-svg-icon": "^1.2.9",
    "vue-template-compiler": "^2.5.2",
    "webpack": "^3.6.0",
    "webpack-bundle-analyzer": "^2.9.0",
    "webpack-dev-server": "^2.9.1",
    "webpack-merge": "^4.1.0",
    "webpack-node-externals": "^1.7.2"
  },
  "engines": {
    "node": ">= 6.0.0",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ],
  "nyc": {
    "include": [
      "src/**/*.(js|vue)"
    ],
    "instrument": false,
    "sourceMap": false
  }
}
